package com.tanpu.community.api.beans;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 管理后台：话题数据分析
 */
@Data
public class TopicDataAnalysDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;
    @ApiModelProperty(value = "总浏览量")
    private Long viewTotalAmount;
    @ApiModelProperty(value = "话题页面浏览量")
    private Long viewPageAmount;
    @ApiModelProperty(value = "发帖数")
    private Long themeAmount;
    @ApiModelProperty(value = "回帖数")
    private Long commentAmount;
    @ApiModelProperty(value = "总用户数")
    private Long userTotalAmount;
    @ApiModelProperty(value = "发帖人数")
    private Long posterAmount;
    @ApiModelProperty(value = "回帖人数")
    private Long replIierAmount;
}
